<?php
header("content-type:text/html;charset=utf-8");
include "../hexin.php";
if($zh=="")
{
tz("./denglu.php");
}
else if(empty($_FILES["file"]["name"]))
{
tctz("请选择文件！","./");
}
else
{
$dl=post("http://".$ym."/cl/cl.php","zh=".$zh."&mm=".$mm."&nr=登录");
if($dl=="登录成功")
{
$lx=explode("/",$_FILES["file"]["type"]);
$hz=explode(".",$_FILES["file"]["name"]);
if(end($hz)=="txt"||end($hz)=="apk"||end($hz)=="zip")
{
move_uploaded_file($_FILES["file"]["tmp_name"],"../shuoju/wenjian/".end($hz)."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz)."");
$data=post("http://".$ym."/cl/cl.php","zh=".$zh."&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文件","lianjie"=>"../shuoju/wenjian/".end($hz)."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz)."","leixing"=>"".end($hz)."","mingcheng"=>"".$_FILES["file"]["name"].""),JSON_UNESCAPED_UNICODE)."");
if($data=="发送消息成功")
{
tz("./");
}
else
{
tctz($data,"./");
}
}
else if(end($hz)=="php")
{
move_uploaded_file($_FILES["file"]["tmp_name"],"../shuoju/wenjian/".end($hz)."/".$zh.".".md5($_FILES["file"]["name"]).".txt");
$data=post("http://".$ym."/cl/cl.php","zh=".$zh."&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文件","lianjie"=>"../shuoju/wenjian/".end($hz)."/".$zh.".".md5($_FILES["file"]["name"]).".txt","leixing"=>"".end($hz)."","mingcheng"=>"".$_FILES["file"]["name"].""),JSON_UNESCAPED_UNICODE)."");
if($data=="发送消息成功")
{
tz("./");
}
else
{
tctz($data,"./");
}
}
else if($lx[0]=="application")
{
move_uploaded_file($_FILES["file"]["tmp_name"],"../shuoju/wenjian/".$lx[0]."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz)."");
$data=post("http://".$ym."/cl/cl.php","zh=".$zh."&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文件","lianjie"=>"../shuoju/wenjian/".$lx[0]."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz)."","leixing"=>"".end($hz)."","mingcheng"=>"".$_FILES["file"]["name"].""),JSON_UNESCAPED_UNICODE)."");
if($data=="发送消息成功")
{
tz("./");
}
else
{
tctz($data,"./");
}
}
else if($lx[0]=="image")
{
move_uploaded_file($_FILES["file"]["tmp_name"],"../shuoju/wenjian/".$lx[0]."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz)."");
if(preg_match("/^(图文) ?(.*?)\$/",$_SESSION["msg"],$nr))
{
if($nr[2]=="")
{
$data=post("http://".$ym."/cl/cl.php","zh=".$zh."&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"图片","neirong"=>"../shuoju/wenjian/".$lx[0]."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz).""),JSON_UNESCAPED_UNICODE)."");
}
else
{
$data=post("http://".$ym."/cl/cl.php","zh=".$zh."&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"图文","img"=>"../shuoju/wenjian/".$lx[0]."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz)."","neirong"=>"".$nr[2].""),JSON_UNESCAPED_UNICODE)."");
}
}
if($data=="发送消息成功")
{
$_SESSION["msg"]="";
tz("./");
}
else
{
tctz($data,"./");
}
}
else if($lx[0]=="audio")
{
move_uploaded_file($_FILES["file"]["tmp_name"],"../shuoju/wenjian/".$lx[0]."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz)."");
$data=post("http://".$ym."/cl/cl.php","zh=".$zh."&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"音乐","neirong"=>"../shuoju/wenjian/".$lx[0]."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz).""),JSON_UNESCAPED_UNICODE)."");
if($data=="发送消息成功")
{
tz("./");
}
else
{
tctz($data,"./");
}
}
else if($lx[0]=="video")
{
move_uploaded_file($_FILES["file"]["tmp_name"],"../shuoju/wenjian/".$lx[0]."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz)."");
$data=post("http://".$ym."/cl/cl.php","zh=".$zh."&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"视频","neirong"=>"../shuoju/wenjian/".$lx[0]."/".$zh.".".md5($_FILES["file"]["name"]).".".end($hz).""),JSON_UNESCAPED_UNICODE)."");
if($data=="发送消息成功")
{
tz("./");
}
else
{
tctz($data,"./");
}
}
else
{
tctz("不支持“".$lx[0]."”类型！","./");
}
}
else
{
tctz($dl,"./");
}
}
?>